View Issue Details

IDProjectCategoryView StatusLast Update
0005240GNUnetbuild processpublic2018-06-07 00:24
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005240: buildbot: postgres directory changed, causing postgres test to fail
Descriptionhttps://gnunet.org/buildbot/gnunet/#/builders/5/builds/530/steps/13/logs/stdio


0NOTE: worker does not allow master to override usePTY
1sh -c 'cd src/postgres; ../../contrib/timeout_watchdog 600 make check; '
2 in dir /root/buildbot/gnunet/opensuse-amd64-wachs/build (timeout 1200 secs) (maxTime 900 secs)
3 watching logfiles {}
4 argv: ['sh', '-c', 'cd src/postgres; ../../contrib/timeout_watchdog 600 make check; ']
5 environment:
6 GNUNET_FORCE_LOG=;;;;ERROR
7 GNUNET_PREFIX=/tmp/buildot-gnunet
8 HOME=/root
9 LC_CTYPE=en_US.UTF-8
10 LOGNAME=root
11 PATH=/tmp/buildot-gnunet/bin:/usr/local/bin:/bin:/usr/bin:/bin
12 PWD=/root/buildbot/gnunet/opensuse-amd64-wachs/build
13 SHELL=/bin/sh
14 SHLVL=1
15 USER=root
16 _=/usr/bin/buildbot-worker
17 using PTY: False
18sh: line 0: cd: src/postgres: No such file or directory
19sh: ../../contrib/timeout_watchdog: No such file or directory
20program finished with exit code 127
21elapsedTime=0.007724



While src/postgres doesn't exist and we should use src/pq for what I know.
TagsNo tags attached.

Activities

Christian Grothoff

2018-01-12 12:23

manager   ~0012774

Indeed, same issue for mysql->my. Fixed now.

Issue History

Date Modified Username Field Change
2018-01-03 17:59 ng0 New Issue
2018-01-12 12:23 Christian Grothoff Assigned To => Christian Grothoff
2018-01-12 12:23 Christian Grothoff Status new => resolved
2018-01-12 12:23 Christian Grothoff Resolution open => fixed
2018-01-12 12:23 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-01-12 12:23 Christian Grothoff Note Added: 0012774
2018-01-12 12:24 Christian Grothoff Product Version => SVN HEAD
2018-01-12 12:24 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed